import './styles';

import { LogLevels } from 'consola';

import App from './App.vue';
import { setupPlugins } from './plugins';

const autoInstallModules = import.meta.glob('./plugins/*.ts', { eager: true });

setupPlugins(createApp(App), autoInstallModules).mount('#app');

consola.level = LogLevels.verbose;
